#include <Servo.h>

#define TRIGGER_PIN 7
#define ECHO_PIN 6
#define SERVO_PIN 9

Servo servoMotor;

void setup() {
  Serial.begin(9600);
  pinMode(TRIGGER_PIN, OUTPUT);
  pinMode(ECHO_PIN, INPUT);
  servoMotor.attach(SERVO_PIN);
}

void loop() {
  long duration, distance;
  
  // Send ultrasonic pulse
  digitalWrite(TRIGGER_PIN, LOW);
  delayMicroseconds(2);
  digitalWrite(TRIGGER_PIN, HIGH);
  delayMicroseconds(10);
  digitalWrite(TRIGGER_PIN, LOW);
  
  // Measure the response
  duration = pulseIn(ECHO_PIN, HIGH);
  
  // Calculate distance
  distance = duration * 0.034 / 2;

  Serial.print("Distance: ");
  Serial.print(distance);
  Serial.println(" inches");

  if (distance < 5) {
    // Object detected, rotate servo to 90 degrees
    servoMotor.write(90);
  } else {
    // Object not detected, rotate servo back to 0 degrees
    servoMotor.write(0);
  }
  
  delay(500);
}
